Eclipse Draw2d 3.3

## org.eclipse.draw2d
Class FreeformLayer

    java.lang.Object
      org.eclipse.draw2d.Figure
          org.eclipse.draw2d.Layer
              org.eclipse.draw2d.FreeformLayer

All Implemented Interfaces:
  FreeformFigure, IFigure

Direct Known Subclasses:
  ConnectionLayer

public class FreeformLayer
extends Layer
implements FreeformFigure

A Layer that can extend in all 4 directions.

Nested Class Summary

Nested classes inherited from class org.eclipse.draw2d.Figure
`Figure.FigureIterator, Figure.IdentitySearch`

Nested classes inherited from class org.eclipse.draw2d.IFigure
`IFigure.NoInsets`

Field Summary

Fields inherited from class org.eclipse.draw2d.Figure
`bgColor, border, bounds, fgColor, flags, font, MAX_FLAG, maxSize, minSize, NO_MANAGER, prefSize, toolTip`

Fields inherited from interface org.eclipse.draw2d.IFigure
`MAX_DIMENSION, MIN_DIMENSION, NO_INSETS`

Constructor Summary
`FreeformLayer()`

Method Summary
`void` `add(IFigure child, Object constraint, int index)` Adds the child with the specified index and constraint.
`void` `addFreeformListener(FreeformListener listener)` Adds a FreeformListener to this FreeformFigure.
`void` `fireExtentChanged()` Notifies listeners that the freeform extent (i.e. bounds) has changed.
`protected void` `fireMoved()` Overrides to do nothing.
`Rectangle` `getFreeformExtent()` Returns the freeform extent, essentially the bounds of the FreeformFigure.
`void` `primTranslate(int dx, int dy)` Translates this Figure's bounds, without firing a move.
`void` `remove(IFigure child)` Removes the given child from this figure's children.
`void` `removeFreeformListener(FreeformListener listener)` Removes the given listener from this FreeformFigure.
`void` `setFreeformBounds(Rectangle bounds)` Sets the freeform bounds of this FreeformFigure.

Methods inherited from class org.eclipse.draw2d.Layer
`containsPoint, findFigureAt`

Methods inherited from class org.eclipse.draw2d.Figure

`add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, containsPoint, erase, findDescendantAtExcluding, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, findMouseEventTargetInDescendantsAt, fireCoordinateSystemChanged, fireFigureMoved, firePropertyChange, firePropertyChange, firePropertyChange, getBackgroundColor, getBorder, getBounds, getChildren, getClientArea, getClientArea, getCursor, getFlag, getFont, getForegroundColor, getInsets, getLayoutManager, getListeners, getLocalBackgroundColor, getLocalFont, getLocalForegroundColor, getLocation, getMaximumSize, getMinimumSize, getMinimumSize, getParent, getPreferredSize, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, hasFocus, internalGetEventDispatcher, intersects, invalidate, invalidateTree, isCoordinateSystem, isEnabled, isFocusTraversable, isMirrored, isMouseEventTarget, isOpaque, isRequestFocusEnabled, isShowing, isValid, isValidationRoot, isVisible, layout, paint, paintBorder, paintChildren, paintClientArea, paintFigure, removeAll, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setBorder, setBounds, setChildrenDirection, setChildrenEnabled, setChildrenOrientation, setConstraint, setCursor, setEnabled, setFlag, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setValid, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative, useLocalCoordinates, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.draw2d.IFigure

`add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, containsPoint, containsPoint, erase, findFigureAt, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, getBackgroundColor, getBorder, getBounds, getChildren, getClientArea, getClientArea, getCursor, getFont, getForegroundColor, getInsets, getLayoutManager, getLocalBackgroundColor, getLocalForegroundColor, getMaximumSize, getMinimumSize, getMinimumSize, getParent, getPreferredSize, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, hasFocus, internalGetEventDispatcher, intersects, invalidate, invalidateTree, isCoordinateSystem, isEnabled, isFocusTraversable, isMirrored, isOpaque, isRequestFocusEnabled, isShowing, isVisible, paint, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setBorder, setBounds, setConstraint, setCursor, setEnabled, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative, validate`

Constructor Detail

### FreeformLayer

    public FreeformLayer()

Method Detail

### add

    public void add(IFigure child,
                    Object constraint,
                    int index)

  Description copied from interface: `IFigure`
  Adds the child with the specified index and constraint. The child's parent is currently not null, it is removed from that parent. If this figure has a LayoutManager, then `LayoutManager.setConstraint(IFigure, Object)` shall be called on the layout.

  Specified by:
    `add` in interface `IFigure`
  Overrides:
    `add` in class `Figure`
  See Also:
    `IFigure.add(IFigure, Object, int)`

### addFreeformListener

    public void addFreeformListener(FreeformListener listener)

  Description copied from interface: `FreeformFigure`
  Adds a FreeformListener to this FreeformFigure.

  Specified by:
    `addFreeformListener` in interface `FreeformFigure`
  Parameters:
    `listener` - the listener
  See Also:
    `FreeformFigure.addFreeformListener(FreeformListener)`

### fireExtentChanged

    public void fireExtentChanged()

  Description copied from interface: `FreeformFigure`
  Notifies listeners that the freeform extent (i.e. bounds) has changed.

  Specified by:
    `fireExtentChanged` in interface `FreeformFigure`
  See Also:
    `FreeformFigure.fireExtentChanged()`

### fireMoved

    protected void fireMoved()

  Overrides to do nothing.

  Overrides:
    `fireMoved` in class `Figure`
  See Also:
    `Figure.fireMoved()`

### getFreeformExtent

    public Rectangle getFreeformExtent()

  Description copied from interface: `FreeformFigure`
  Returns the freeform extent, essentially the bounds of the FreeformFigure. This is based on the extent of its children.

  Specified by:
    `getFreeformExtent` in interface `FreeformFigure`
  Returns:
    the freeform extent
  See Also:
    `FreeformFigure.getFreeformExtent()`

### primTranslate

    public void primTranslate(int dx,
                              int dy)

  Description copied from class: `Figure`
  Translates this Figure's bounds, without firing a move.

  Overrides:
    `primTranslate` in class `Figure`
  Parameters:
    `dx` - The amount to translate horizontally
    `dy` - The amount to translate vertically
  See Also:
    `Figure.primTranslate(int, int)`

### remove

    public void remove(IFigure child)

  Description copied from interface: `IFigure`
  Removes the given child from this figure's children. If this figure has a LayoutManager, then `LayoutManager.remove(IFigure)` shall be called on that layout with the child.

  Specified by:
    `remove` in interface `IFigure`
  Overrides:
    `remove` in class `Figure`
  Parameters:
    `child` - The Figure to remove
  See Also:
    `IFigure.remove(IFigure)`

### removeFreeformListener

    public void removeFreeformListener(FreeformListener listener)

  Description copied from interface: `FreeformFigure`
  Removes the given listener from this FreeformFigure.

  Specified by:
    `removeFreeformListener` in interface `FreeformFigure`
  Parameters:
    `listener` - the listener
  See Also:
    `FreeformFigure.removeFreeformListener(FreeformListener)`

### setFreeformBounds

    public void setFreeformBounds(Rectangle bounds)

  Description copied from interface: `FreeformFigure`
  Sets the freeform bounds of this FreeformFigure.

  Specified by:
    `setFreeformBounds` in interface `FreeformFigure`
  Parameters:
    `bounds` - the new freeform bounds
  See Also:
    `FreeformFigure.setFreeformBounds(Rectangle)`

Eclipse Draw2d 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.